GetVideoChapters

GET/media/v1/projects/{project_id}/videos/{video_id}/chapters

Path Parameters

project_id*project_id

The project_id path parameter.

video_id*video_id

The video_id path parameter.

Response Body

200application/json

Success

type: unknown

{
  "$ref": "#/components/schemas/videos.v1.VideoChapters",
  "$ref-value": {
    "type": "object",
    "properties": {
      "video_id": {
        "type": "string",
        "examples": [
          "FpzVPNx1cG"
        ],
        "title": "video_id"
      },
      "chapters": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/videos.v1.Chapter",
          "$ref-value": {
            "type": "object",
            "properties": {
              "title": {
                "type": "string",
                "examples": [
                  "Introduction"
                ],
                "title": "title",
                "maxLength": 64
              },
              "start_time_sec": {
                "type": "number",
                "examples": [
                  "12.5"
                ],
                "title": "start_time_sec",
                "format": "double"
              }
            },
            "title": "Chapter",
            "additionalProperties": false
          }
        },
        "title": "chapters"
      }
    },
    "title": "VideoChapters",
    "additionalProperties": false
  }
}
curl -X GET "https://api.rixl.com/media/v1/projects/Bq4y3QB38S/videos/FpzVPNx1cG/chapters"

Success

application/json

{
  "$ref": "#/components/schemas/videos.v1.VideoChapters",
  "$ref-value": {
    "type": "object",
    "properties": {
      "video_id": {
        "type": "string",
        "examples": [
          "FpzVPNx1cG"
        ],
        "title": "video_id"
      },
      "chapters": {
        "type": "array",
        "items": {
          "$ref": "#/components/schemas/videos.v1.Chapter",
          "$ref-value": {
            "type": "object",
            "properties": {
              "title": {
                "type": "string",
                "examples": [
                  "Introduction"
                ],
                "title": "title",
                "maxLength": 64
              },
              "start_time_sec": {
                "type": "number",
                "examples": [
                  "12.5"
                ],
                "title": "start_time_sec",
                "format": "double"
              }
            },
            "title": "Chapter",
            "additionalProperties": false
          }
        },
        "title": "chapters"
      }
    },
    "title": "VideoChapters",
    "additionalProperties": false
  }
}